> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Withdrawal Balances

> Returns on-chain balances for a wallet address against the withdrawal config's source currencies. No authentication required (rate-limited, cached ~5s).

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1`. For the development environment, use `api.dev.hel.io/v1`.
</Info>


## OpenAPI

````yaml GET /v1/withdraw/{withdrawalConfigId}/balances
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/withdraw/{withdrawalConfigId}/balances:
    get:
      tags:
        - Withdrawals
      summary: Get Withdrawal Balances
      description: >-
        Returns on-chain balances for a wallet address against the withdrawal
        config's source currencies. No authentication required (rate-limited,
        cached ~5s).
      operationId: WithdrawalBalancesController_listBalances
      parameters:
        - name: withdrawalConfigId
          in: path
          required: true
          description: The withdrawal config ID.
          schema:
            type: string
        - name: walletAddress
          in: query
          required: true
          description: Wallet address (holder pubkey) to read balances for.
          schema:
            type: string
      responses:
        '200':
          description: Balances retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawalBalancesResponse'
        '404':
          description: Withdrawal config not found.
      security: []
components:
  schemas:
    WithdrawalBalancesResponse:
      type: object
      properties:
        walletAddress:
          type: string
          description: Address balances were read against.
        balances:
          type: array
          items:
            $ref: '#/components/schemas/WalletCurrencyBalance'
    WalletCurrencyBalance:
      type: object
      properties:
        currencyId:
          type: string
        symbol:
          type: string
        mintAddress:
          type: string
        balance:
          type: string
          nullable: true
          description: Atomic balance.
        uiBalance:
          type: string
          nullable: true
          description: Human-readable balance.
        maxWithdrawableAmount:
          type: string
          nullable: true
          description: >-
            Maximum withdrawable amount in atomic units after network or gas
            fees.
        uiMaxWithdrawableAmount:
          type: string
          nullable: true
          description: Human-readable max withdrawable amount.

````